'use strict';

var Helper = require('psykick2d').Helper,
    BehaviorSystem = require('psykick2d').BehaviorSystem;

var Enemy = function() {
    BehaviorSystem.call(this);
    this.requiredComponents = ['Enemy'];
};

Helper.inherit(Enemy, BehaviorSystem);

Enemy.prototype.update = function() {
    for (var i = 0, len = this.actionOrder.length; i < len; i++) {
        var enemy = this.actionOrder[i],
            rectBody = enemy.getComponent('RectPhysicsBody'),
            sprite = enemy.getComponent('Sprite');

        rectBody.velocity.x = -10;
        sprite.scale.x = -1;
        sprite.pivot.x = 91;
    }
};

module.exports = Enemy;